DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
ConcatenationLoader::Failure Struct Reference

structure representing error information about a failed file More...

## Public Member Functions
| Failure (const OFFilename &fn, const OFString &err, const OFString &uid)
| constructor.

## Public Attributes
OFFilename | fname
| filename
OFString | errorText
| error text
OFString | sopInstance
| SOP Instance UID.

## Detailed Description

structure representing error information about a failed file

## Constructor & Destructor Documentation

## ◆ Failure()

ConcatenationLoader::Failure::Failure | ( | const OFFilename & | fn,
|  | const OFString & | err,
|  | const OFString & | uid )
| inline

constructor.

Parameters

  fn | filename
  err | error text
  uid | SOP instance UID

References errorText, fname, and sopInstance.

The documentation for this struct was generated from the following file:

- dcmfg/include/dcmtk/dcmfg/concatenationloader.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2